# stressed_vs_nonstressed.praat
# djmw 20050616

datadir$ = "/home/david/tex/thesis/data/"
savedir$ = "/home/david/tex/thesis/anorm/"
name$ = "barks_total_frame123_mf"

Read from file... 'datadir$''name$'_meansperspeaker.TableOfReal
t123 = selected ("TableOfReal")
Extract row ranges... 1 : 6008
t123_ml = selected ("TableOfReal")
select t123
Extract row ranges... 6009 : 8078
t123_mt = selected ("TableOfReal")

Read from file... 'datadir$''name$'_stressed_meansperspeaker.TableOfReal
t123s = selected ("TableOfReal")
Extract row ranges... 1 : 5500
t123s_ml = selected ("TableOfReal")
select t123s
Extract row ranges... 5501 :  7426
t123s_mt = selected ("TableOfReal")

call classify2 t123_ml t123_mt

call classify2 t123s_ml t123s_mt

procedure classify2 t123_l t123_t
  select t123_l
  Extract column ranges... 19:36
  t2_l = selected ("TableOfReal")
  To Discriminant
  dis = selected ("Discriminant")
  select t123_t
  Extract column ranges... 19:36
  t2_t = selected ("TableOfReal")
  call get_fc dis t2_l
  fc_ll = fc
  call get_fc dis t2_t
  fc_lt = fc
  printline fc_ll='fc_ll'  fc_lt='fc_lt'
  select t2_l
  plus t2_t
  Remove
endproc

procedure get_fc dis_id t_id
  select dis_id
  plus t_id
  To ClassificationTable... y y
  ct = selected ("ClassificationTable")
  To Confusion
  conf = selected ("Confusion")
  fc = Get fraction correct
  select ct
  Remove
endproc


