# cf_vannierop.praat

Create TableOfReal (Van Nierop 1973)... no
Formula... if col=1 then log10(self/200)/log10(1500/200) else self fi
Formula... if col=2 then log10(self/500)/log10(3500/500) else self fi
Formula... if col=3 then log10(self/1500)/log10(4500/1500) else self fi

To Pattern and Categories... 0 0 0 0
pat = selected ("Pattern")
cat = selected ("Categories")

nhidden = 10
nrep = 1

Create TableOfReal... results nrep nhidden
result = selected ("TableOfReal")
for n to nhidden
  for i to nrep
    select pat
    plus cat
    To FFNet... 'n' 0
    ffnet = selected ("FFNet")
    plus pat
    plus cat
    Learn... 10000 1e-17 Minimum-squared-error
    select ffnet
    plus pat
    To Categories... Winner-takes-all
    cat2 = selected ("Categories")
    plus cat
    fd = Get fraction different
    fc = 1 - fd
    select result
    Set value... i n fc
    select ffnet
    plus cat2
    Remove
  endfor

endfor

select result
Write to short text file... /home/david/tex/thesis/nn-cost/cf_vannierop3.TableOfReal


