# polsd1d2.praat
# djmw 20040214
# djmw 20050225  last modification

procedure draw_ev ev
  select dis
  Draw eigenvector... ev no 0 0 -1 1 1 + yes n
  Draw inner box
  Marks bottom every... 1 1 y y n
  One mark left... 0 y y y
  One mark left... -1 y y n
  One mark left... 1 y y n
  Text top... n eigenvector 'ev'
endproc
Create TableOfReal (Pols 1973)... y
Formula... if col<4 then log10(self) else self fi
#totaal 8x12 cm
xl1=8/2.54
xl2=4/2.54
yl2 = 3.5/2.54
dy2 = 1/4
yspare=1/2.54
To Discriminant
Invert eigenvector... 1
dis = selected ("Discriminant")
plus TableOfReal pols_50males
To Configuration... 0
Erase all
Select outer viewport... 0 xl1 0 xl1
Times
10
Draw... 1 2 -1.1 -0.3 -3.6 -2.8 10 y + yes
Marks left every... 1 0.1 n y n
Marks bottom every... 1 0.1 n y n
Select outer viewport... xl1-2/3 xl1+xl2 0+dy2 yl2+dy2
call draw_ev 1
Select outer viewport... xl1-2/3 xl1+xl2 xl1-yl2-dy2 xl1-dy2
call draw_ev 2
Select outer viewport... 0 xl1+xl2 0 xl1

file$="/home/david/tex/thesis/pca/polsd1d2"
Write to EPS file... 'file$'.eps
system epstopdf --outfile='file$'.pdf 'file$'.eps
