#test_vigilance_learningrate.praat


savedir$ = "/home/david/tex/thesis/cart/"

Create CategoryART two spirals example... FuzzyART
artnet$ = "twoSpirals"
learn$ = "learn"
learnc$ = "membership"
test$ = "learn"
testc$ = "membership"

nrep = 100
nrho = 10
nalpha = 10
nepoch = 100

nrep = 10
nrho = 10
nalpha = 10
nepoch = 100

rhob = 0.05
rhoe = 0.95
drho = (rhoe -rhob) / nrho

alphab = 0.1
alphae = 1
dalpha = (alphae - alphab) / nalpha

nrows = nrep * nrho * nalpha
ncols = 6
Create TableOfReal... results nrows ncols
Set column label (index)... 1 rep
Set column label (index)... 2 rho
Set column label (index)... 3 alpha
Set column label (index)... 4 frc
Set column label (index)... 5 commit
Set column label (index)... 6 track

row = 0
matchtrack = 1
for i to nrep
  rho = rhob
  for j to nrho
    rho += drho
    alpha = alphab
    for k to nalpha
      alpha += dalpha
      select FuzzyCategoryART 'artnet$'
      Reset... 0.001
      plus Pattern 'learn$'
      plus Categories 'learnc$'
      Learn... rho alpha matchtrack$ nepoch Normal 3
      select FuzzyCategoryART 'artnet$'
      ncommit = Get number of committed nodes
      plus Pattern 'test$'
      To Categories
      select Categories 'testc$'
      plus Categories untitled
      To Confusion
      frc = Get fraction correct
      select Categories untitled
      plus Confusion untitled
      Remove
      select TableOfReal results
      row += 1
      Set value... row 1 i
      Set value... row 2 rho
      Set value... row 3 alpha
      Set value... row 4 frc
      Set value... row 5 ncommit    
      Set value... row 6 matchtrack    
    endfor
  endfor
endfor

select TableOfReal results
Write to short text file... 'savedir$'test_vigilance_learningrate.TableOfReal
