# get_speaker_means.praat

datadir$ = "/home/david/tex/thesis/data/"
for i to 3
   Read from file... 'datadir$'barks_total_frame'i'_mf_meansperspeaker.TableOfReal
   t'i' = selected ("TableOfReal")
endfor

Read from file... 'datadir$'barks_total_frame2_mf_meansperspeaker_index.TableOfReal
Rename... index
index = selected ("TableOfReal")

select t1
plus t2
plus t3
Append columns
t123 = selected ("TableOfReal")
ncols = Get number of columns

select index
nspeakers = Get number of rows

Create TableOfReal... result nspeakers ncols
result = selected ("TableOfReal")

for j to ncols
  select t123
  label$ = Get column label... j
  select result
  Set column label (index)... j 'label$'
endfor

nspeakers=10
for i to nspeakers
  select index
  ib = Get value... i 1
  ie = Get value... i 2
  rowlabel$ = Get row label... i
  select t123
  Extract row ranges... 'ib':'ie'
  tmp = selected ("TableOfReal")
  Change row labels... .* a 0 Regular Expressions
  To TableOfReal (means by row labels)... n
  Rename... tmpm
  select result
  for j to ncols
     value =  TableOfReal_tmpm[1,j] 
     Set value... i j value
  endfor
  Set row label (index)... i 'rowlabel$'
  select tmp
  plus TableOfReal tmpm
  Remove
endfor
