# decision-regions-of-a2a2a1.praat
# 20040129 djmw modified
# 20060812 djmw latest modification

Erase all
savedir$ = "/home/david/tex/thesis/nn-aspects/"
include /home/david/tex/praat_procedures.praat

#w = 10
w = 10
vx = 4
vy = 4

n = 3

mnx = 100
mdx = 1 / mnx;
mx1 = mdx / 2
mny = mnx
mdy = mdx
my1 = mdy / 2

Create Matrix... region 0 1 mnx mdx mx1  0 1 mny mdy my1 0
mat = selected ("Matrix")

dvx = vx / (n + 1)
dvy = dvx

a = 1
vy1 = dvy / 4
for irow to n
  vy2 = vy1 + dvy
  b = 1
  vx1 = dvx / 4
  for icol to n
    vx2 = vx1 + dvx
      Create Matrix... r'irow''icol' 0 1 mnx mdx mx1  0 1 mny mdy my1 0
      mat = selected ("Matrix")
    Formula... sigmoid(a*(sigmoid(w*(col*mdy +my1-0.5))-0.5)+b*(sigmoid(w*(row*mdx+mx1-0.5))-0.5))
#    Formula... sigmoid(a*sigmoid(w*(col*mdy +my1-0.5))+b*sigmoid(w*(row*mdx+mx1-0.5)))
#     Formula... sigmoid(2*sigmoid(a*w*(col*mdy +my1-0.5))+2*sigmoid(b*w*(row*mdx+mx1-0.5))-2)
    call matrix_max 'mat'
    min$ = fixed$ (mmin,2)
    max$ = fixed$ (mmax,2)
   Viewport... vx1 vx2 vy1 vy2
    Font size... 1
    Paint image... 0 0 0 0 0 1
#    Draw contours... 0 0 0 0 0 0
#    Font size... 10
    Text special... 0.5 Centre -0.2 Half Helvetica 10 0 ('a','b')
    b *= 10
    vx1 = vx2 + dvx / 4
  endfor
  a *= 10
  vy1 = vy2 + dvy / 4
endfor
#Remove

Viewport... 0 vx 0 vy
Draw inner box
vp_x2 = vx
vp_y2 = vy

procedure matrix_max .mat
  select .mat
  .nr = Get number of rows
  .nc = Get number of columns
  mmin = Get value in cell... 1 1
  mmax = mmin
  for .i to .nr
    for .j to .nc
      .v = Get value in cell... .i .j
      if .v > mmax
        mmax = .v
      elsif .v < mmin
        mmin = .v
      endif
    endfor
  endfor
endproc

call save decision-regions-of-a2a2a1
