# output-of-a2a4a1.praat
# 20060812 djmw Latest version

savedir$ = "/home/david/tex/thesis/nn-aspects/"
include /home/david/tex/praat_procedures.praat

vx = 4

n = 3

mnx = 100
mdx = 1 / mnx;
mx1 = mdx / 2
mny = mnx
mdy = mdx
my1 = mdy / 2

Create Matrix... region 0 1 mnx mdx mx1  0 1 mny mdy my1 0
Create Matrix... z1 0 1 mnx mdx mx1  0 1 mny mdy my1 0
Create Matrix... z2 0 1 mnx mdx mx1  0 1 mny mdy my1 0
Create Matrix... z3 0 1 mnx mdx mx1  0 1 mny mdy my1 0
Create Matrix... z4 0 1 mnx mdx mx1  0 1 mny mdy my1 0

dvx = vx / (n + 1)
dvy = dvx
vy = dvx / 4 + 2 * (dvx + dvx / 4)

call vp_init vx*2.54 vy*2.54 1 1 1

i = 1
b = 1
vy1 = dvy / 4
for irow to 2
  vy2 = vy1 + dvy
  vx1 = dvx / 4
  for icol to 2
    vx2 = vx1 + dvx
    select Matrix z1
    Formula... sigmoid('b'*(col*mdx +mx1-0.5))
    select Matrix z2
    Formula... sigmoid('b'*(col*mdx +mx1-(row*mdy+my1)-0.1))
    select Matrix z3
    Formula... sigmoid('b'*(-0.3*(col*mdx +mx1)+(row*mdy+my1)-0.1))
    select Matrix z4
    Formula... sigmoid('b'*(-1.14*(col*mdx +mx1)-(row*mdy+my1)+1.34))
    select Matrix region
    Formula... sigmoid('b'*(Matrix_z1[]+Matrix_z2[]+1.5*Matrix_z3[]+1.5*Matrix_z4[]-3.75))
    Viewport... vx1 vx2 vy1 vy2
    Font size... 1
    Paint image... 0 0 0 0 0 0
#      Draw contours... 0 0 0 0 0 0.5
#    Font size... 10
    if i=1
      lab$ = "(a)"
    elsif i=2
      lab$ = "(b)"
    elsif i=3
      lab$ = "(c)"
    else
      lab$ = "(d)"
    endif
    Text special... 0.5 Centre -0.2 Half Helvetica 10 0 'lab$' %\be='b'
    b *= 10
    vx1 = vx2 + dvx / 4
    i += 1
  endfor
  vy1 = vy2 + dvy / 4
endfor

Create FFNet... n 2 1 4 0
vx1 = dvx/4 +2*(dvx+dvx/4)
vx2 = vx1 + dvx
#vy1 = vy / 2 - dvy / 2
#vy2 = vy1 + dvy
vy1 = vy / 2 - dvy
vy2 = vy / 2 + dvy
Viewport... vx1 vx2 vy1 vy2
Draw topology
#Text special... 0.5 Centre -0.2 Half Helvetica 10 0 (e)
Text special... 0.5 Centre 0 Half Helvetica 10 0 (e)
select Matrix z1
plus Matrix z2
plus Matrix z3
plus Matrix z4
plus Matrix region
plus FFNet n
Remove

vp_x2  = vx
vp_y2 = vy
Viewport... 0 vp_x2 0 vp_y2
Draw inner box

call save output-of-a2a4a1
