# bias-adaptation-display-results.praat
# djmw 20050323, 20050615

Black
Font size... 10

datadir$ = "/home/david/tex/thesis/nn-bias2/"
savedir$ = datadir$
include /home/david/tex/praat_procedures.praat

Read from file... /home/david/tex/thesis/nn-bias2/bias-adaption_1_326_327_438_20050324_1.TableOfReal
t1 = selected ("TableOfReal")
Read from file... /home/david/tex/thesis/nn-bias2/bias-adaption_1_326_439_630_20050324_1.TableOfReal
t2 = selected ("TableOfReal")
Read from file... /home/david/tex/thesis/nn-bias2/bias-adaption_439_574_1_438_20050324_1.TableOfReal
t3 = selected ("TableOfReal")
Read from file... /home/david/tex/thesis/nn-bias2/bias-adaption_439_574_575_630_20050324_1.TableOfReal
t4 = selected ("TableOfReal")

Create TableOfReal... results 9 13
results = selected ("TableOfReal")
Set column label (index)... 2 mmL1
Set column label (index)... 3 mmL2
Set column label (index)... 1 mm

Set column label (index)... 5 mwL1
Set column label (index)... 6 mwL2
Set column label (index)... 4 mw

Set column label (index)... 8 wmL1
Set column label (index)... 9 wmL2
Set column label (index)... 7 wm

Set column label (index)... 11 wwL1
Set column label (index)... 12 wwL2
Set column label (index)... 10 ww
Set column label (index)... 13 index
for j to 9
  Set value... j 13 'j'
endfor

for i to 4
  k = 5
  icol = (i-1)*3+1
  for j to 9
    select t'i'
    fc0 = Get column quantile (index)... k 0.5
    fc1 = Get column quantile (index)... k+1 0.5
    fc2 = Get column quantile (index)... k+2 0.5
    k += 3
    select results
    Set value... j icol fc0
    Set value... j icol+1 fc1
    Set value... j icol+2 fc2
  endfor
endfor

call vp_init 12 8 2 2 1

procedure decorations texttop$
  Draw inner box
  One mark left... 0 y y n
  One mark left... 0.25 n y y
  One mark left... 0.75 n y y
  One mark left... 0.50 y y y
  One mark left... 1 y y n
  for k to 9
    One mark bottom... k y y n
  endfor
  Text top... n 'texttop$'
  Text bottom... y Number of hidden nodes
endproc

#select results
l1$ = "(a) MM"
l2$ = "(b) MW"
l3$ = "(c) WM"
l4$ = "(d) WW"
for i to 4
  call vp_next
  icol=(i-1)*3+1
  Draw scatter plot... 13 icol   0 0 0 10 0 1 8 n 0 n
  Draw scatter plot... 13 icol+1 0 0 0 10 0 1 8 n 1 n
  Draw scatter plot... 13 icol+2 0 0 0 10 0 1 8 n 2 n
  label$ = l'i'$
  call decorations 'label$'
endfor

call save bias-adaptation-nodes_vs_fc