# make-m-f-categories.praat
# 20040617 djmw 

savedir$ = "/home/david/tex/thesis/nn-bias2/"
include /home/david/tex/praat_procedures.praat

Read from file... 'savedir$'barks_total_frame2_mf_f0.TableOfReal
table = selected ("TableOfReal")
Extract row labels as Strings
vowels = selected ("Strings")

# Set m/f labels

select table
for i from 1 to 54357
  Set row label (index)... i m
endfor
for i from 54358 to 78374
  Set row label (index)... i f
endfor

Extract row labels as Strings
mf = selected ("Strings")

select table
Extract column ranges... 2:19
tablemf = selected ("TableOfReal")


# Get speaker sex recognition scores

select tablemf
To Discriminant
dis = selected ("Discriminant")
plus tablemf
To ClassificationTable... n n
ct = selected ("ClassificationTable")
To Strings (max. prob.)
mfclas = selected ("Strings")

Create TableOfReal... misclas 78374 1
tablem = selected ("TableOfReal")

mis = 0
for i to 78374
  select mf
  o$ = Get string... i
  select mfclas
  oc$ = Get string... i
  if o$ <> oc$
    select tablem
	Set value... i 1 1
	mis += 1
  endif  
endfor
printline Wrong classifications = 'mis' from 78374

# relabel with vowel  labels

select vowels
To Categories
vowelc = selected ("Categories")

plus table
Set row labels

select table
Extract rows where... TableOfReal_misclas[row,1]=1
tablemis = selected ("TableOfReal")
Extract row labels as Strings
vowelsmis = selected ("Strings")
To Distributions
dismis = selected ("Distributions")

select vowels
To Distributions
dis  = selected ("Distributions")
rows = Get number of rows

Create TableOfReal... disdif 2 rows
tableres = selected ("TableOfReal")

for i to rows
  select dis
  rowl$ = Get row label... i
  val = Get value... i 1
  select dismis
  index = Get row index... 'rowl$'
  valmis = Get value... index 1
  select tableres
  Set column label (index)... i 'rowl$'
  Set value... 1 i val
  Set value... 2 i valmis
endfor  

select tableres
Write to short text file... 'savedir$'mf_misclassified_distributions.TableOfReal 
call vp_init 12 12 1 2 1
call vp_next

select tableres
Draw row as histogram... 1 0 0 0 12000 0.5 1 1 y
call vp_next
Draw row as histogram... 2 0 0 0 800 0.5 1 1 y

call save mf_misclassified_distributions




