# nn-bias-boxplots.praat
# 20040527

savedir$ = "/home/david/tex/thesis/nn-bias2/"
include /home/david/tex/praat_procedures.praat

Read from file... 'savedir$'biasadaption_results_20040428.TableOfReal
table = selected ("TableOfReal")

call vp_init 12 6 1 1 1
call vp_next
Draw box plots... 0 0 3 22 0.2 0.7 yes
Text left... y Fraction correct
One mark bottom... 12.5 n y y
for i to 10
  One mark bottom... 2+i n y n 'i'
  One mark bottom... 12+i n y n 'i'
endfor
Text... 7.5 Centre 0.1 Bottom Before
Text... 17.5 Centre 0.1 Bottom After

call save nn-bias-boxplots

before = 0
after = 0
for i to 10
  b = Get column mean (index)... 'i'+2
  a = Get column mean (index)... 'i'+12
  before += b
  after += a
endfor

before /= 10
after /= 10
dif = after - before
printline Before: 'before', After: 'after', Diff: 'dif'