# normal_2D.praat
# 20000127 djmw
#
# Functie:
# 1. genereer een binormale distributie van 'numberOfPoints' punten met
#    centrum (0,0) en sigma (sigma_x, sigma_y)
# 2. Roteer deze punten in het xy-vlak over een hoek van 'angle' graden
# 3. Transleer de punten naar (x_center, y_center)
# 4. Label elk punt met 'label'
#
# 3.8.50 word in form werkt niet onder Linux
##	word name$ gauss_2D
# eerst rotatie, daarna translatie
#
form Generate 2 dimensional gaussian distribution
	natural numberOfPoints 200
	real x_center 0
	real y_center 0
	positive sigma_x 1
	positive sigma_y 0.2
	real angle_(counterclockwise) 0
	natural label 1
endform

#sina = sin(2*pi*'angle'/360)
#cosa = cos(2*pi*'angle'/360)
#tana = tan(2*pi*'angle'/360)
#sx_angle = sqrt(('sigma_x'*cosa)^2+('sigma_y'*sina)^2 - 2*cosa*sina*0)
#sy_angle =sqrt(('sigma_x'*sina)^2+('sigma_y'*cosa)^2 + 2*cosa*sina*0)

Create Configuration... c 'numberOfPoints' 2
	... if col=1 then randomGauss(0,'sigma_x') else 
	... randomGauss(0,'sigma_y') fi
Set column label (index)... 1 x
Set column label (index)... 2 y
for i to 'numberOfPoints'
	Set row label (index)... 'i' 'label'
endfor
Rotate... 1 2 'angle'
Formula... self+(if col=1 then 'x_center' else 'y_center' fi)
To TableOfReal
select Configuration c
Remove
select TableOfReal c

