#normal_data.praat
# 20000217 djmw
# 20040129 djmw modified

savedir$ = "/home/david/tex/thesis/pca/"
include /home/david/tex/praat_procedures.praat

call vp_init 10 10 1 1 1
call vp_next
x=0.5
y=0.3
sx=1
sy=0.2
angle=60
numberOfPoints = 200
# rotation is counterclockwise

sina = sin(2*pi*60/360)
cosa = cos(2*pi*60/360)
tana = tan(2*pi*60/360)
sx_angle = sqrt((sx*cosa)^2+(sy*sina)^2 - 2*cosa*sina*0)
sy_angle =sqrt((sx*sina)^2+(sy*cosa)^2 + 2*cosa*sina*0)

sx2 = sx_angle*sx_angle + sy_angle*sy_angle
echo sx = 'sx_angle' sy = 'sy_angle'; sx^2+sy^2 = 'sx2'

execute normal_2D.praat 'numberOfPoints' 'x' 'y' 'sx' 'sy' 'angle' 1

xmin=-3
xmax=3
ymin=-3
ymax=3

Font size... 8
Draw scatter plot... 1 2 0 0 'xmin' 'xmax' 'ymin' 'ymax' 12 no + yes
One mark bottom... 0 1 1 0
One mark left... 0 1 1 0
Font size... 10
One mark bottom... 0 0 1 0
One mark left... 0 0 1 0
To SSCP... 0 0 0 0
mx=Get centroid element... 1
my=Get centroid element... 2
db='my'-'tana' * 'mx'

# 1-sigma and 2-sigma ellipses
Line width... 1
#Dotted line
Draw sigma ellipse... 1 1 2 'xmin' 'xmax' 'ymin' 'ymax' no
Draw sigma ellipse... 2 1 2 'xmin' 'xmax' 'ymin' 'ymax' no
Line width... 1
Plain line
Create Polynomial... p  'xmin' 'xmax' 'db' 'tana'
Draw... 'xmin' 'xmax' 'ymin' 'ymax' no no

#call save normal_data1
